%define anolis_release 2

%global sname wrapt

Name:           python-%{sname}
Version:        1.14.1
Release:        %{anolis_release}%{?dist}
Summary:        A Python module for decorators, wrappers and monkey patching

License:        BSD
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        https://github.com/GrahamDumpleton/%{sname}/archive/%{version}.tar.gz

BuildRequires:  gcc

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description %{expand:
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.}

%description %_description

%package -n python3-wrapt-doc
Summary:        Documentation for the wrapt module
BuildArch:      noarch
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description  -n python3-wrapt-doc
Documentation for the wrapt module

%package -n python3-wrapt
Summary:        A Python module for decorators, wrappers and monkey patching
%{?python_provide:%python_provide python3-wrapt}

%description -n python3-wrapt
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.

%prep
%setup -q -n %{sname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{sname}.egg-info

%build
%py3_build

# for docs
pushd docs
sphinx-build -b html -d build/doctrees . build/html
popd

%install
%py3_install

%files -n python3-wrapt
%license LICENSE
%{python3_sitearch}/%{sname}
%{python3_sitearch}/%{sname}-%{version}-py%{python3_version}.egg-info

%files -n python3-wrapt-doc
%doc README.rst
%doc docs/build/html

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.14.1-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.14.1-1
- Import package for anolis 23
